package com.thebrokenrail.mtudining.api;

/**
 * Interface for a simple API call.
 * @param <T> The response type
 */
public interface Method<T> {
    /**
     * Get the API method's path.
     * @return The path
     */
    String getPath();

    /**
     * Get the response class. Needed for deserialization.
     * @return The response class
     */
    Class<T> getResponseClass();
}
