package com.thebrokenrail.mtudining.api.method;

import com.thebrokenrail.mtudining.api.Method;
import com.thebrokenrail.mtudining.util.Constants;

/**
 * API call used for getting the site ID from a site name.
 */
public class Info implements Method<Info.Response> {
    @Override
    public String getPath() {
        return "/sites/" + Constants.SITE_NAME + "/info";
    }

    @Override
    public Class<Response> getResponseClass() {
        return Response.class;
    }

    // This class contains a lot of data,
    // I'm only including the fields needed
    // for the app.
    public static class Response {
        public static class Site {
            public String id;
        }
        public Site site;
    }
}
