package com.thebrokenrail.mtudining.util;

import java.util.ArrayList;
import java.util.List;

/**
 * Simple class representing a category.
 */
public class Category<T extends Category.Named> {
    public Category(String name) {
        this.name = name;
    }

    public interface Named {
        String getName();
    }

    /**
     * Category name.
     */
    public final String name;
    /**
     * If category is open.
     */
    public boolean isOpen = true;
    /**
     * Category items.
     */
    public final List<T> items = new ArrayList<>();
}
