package com.thebrokenrail.mtudining.util;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;
import androidx.recyclerview.widget.RecyclerView;

/**
 * Utility class for handling edge-to-edge.
 */
public class EdgeToEdgeUtil {
    /**
     * Setup edge-to-edge on an activity and a RecyclerView.
     * @param activity The activity
     * @param recyclerView The RecyclerView
     */
    public static void setup(AppCompatActivity activity, RecyclerView recyclerView) {
        // Insets
        ViewCompat.setOnApplyWindowInsetsListener(activity.getWindow().getDecorView(), (v, windowInsets) -> {
            Insets insets = windowInsets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(insets.left, 0, insets.right, 0);
            return windowInsets;
        });
        ViewCompat.setOnApplyWindowInsetsListener(recyclerView, (v, windowInsets) -> {
            Insets insets = windowInsets.getInsets(WindowInsetsCompat.Type.systemBars());
            recyclerView.setPadding(0, 0, 0, insets.bottom);
            return windowInsets;
        });
    }
}
